### Constructor

# EBackend ServerSideSourceCredentialsProvider new

since: 3.16

#### Declaration [src]

    ESourceCredentialsProvider*
    e_server_side_source_credentials_provider_new (
      ESourceRegistryServer* registry
    )

#### Description [src]

Creates a new `EServerSideSourceCredentialsProvider`, which is meant to abstract credential management for `ESource`-s.

Available since: 3.16

#### Parameters

`registry`

  Type: `ESourceRegistryServer`

  An `ESourceRegistryServer`.

  The data is owned by the caller of the function.

#### Return value

Type: `ESourceCredentialsProvider`

A new `EServerSideSourceCredentialsProvider`.

The caller of the function takes ownership of the data, and is responsible for freeing it.